apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: gva-ingress
  annotations:
    kubernetes.io/ingress.class: "nginx"
spec:
  rules:
  - host: demo.gin-vue-admin.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: gva-web
            port:
              number: 8080